import { MovingHeadState } from "rust_native_module";

export type Time = {
  absolute: number,
  beat_relative: number,
};

export interface Pattern {
  render(time: Time): Array<MovingHeadState>;
}
